Bug 1000441 - RFE: Add case notifications to retrace-server for submission and completion of vmcore processing
RFE: Add case notifications to retrace-server for submission and completion o...
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matej Marušák
Fedora Extras Quality Assurance
:
Depends On: 1082376
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 08:55 EDT by Dave Wysochanski
Modified: 2016-11-30 19:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2013-08-23 08:55:09 EDT
Description of problem:
One of our GSS kernel engineers which handles a lot of cases suggested retrace-server make an internal / private update into the case when the core is finished processing.  I think it would be good to both have a small update when:
a) a vmcore is submitted
b) a vmcore completes processing

In addition to requiring the user to enter a case number field upon submission, it would also require sfdc credentials, similar to:
https://bugzilla.redhat.com/show_bug.cgi?id=1000431

Once the above was added, we could add a checkbox for sfdc notification of submission and completions.

Sample submission update:
Task 457458297 for vmcore 00925318-1377235719-vmcore.tar.gz has been submitted.
See https://optimus.gsslab.rdu2.redhat.com/manager/457458297

Sample completion update:
Task 457458297 for vmcore 00925318-1377235719-vmcore.tar.gz has completed, status: Success
See https://optimus.gsslab.rdu2.redhat.com/manager/457458297

Version-Release number of selected component (if applicable):
retrace-server-1.9-6.el6.noarch

Steps to Reproduce:
1. Submit a vmcore to retrace server
2. Add a case number to the task
3. Check the box for case notifications


Additional info:
Comment 3 Michal Toman 2014-02-26 04:25:41 EST
I would rather avoid teaching Retrace Server to talk to SFDC.
IMHO it would be easier to tweak the e-mails to be better parseable, create a special e-mail address where SFDC (or something else) will listen and update the cases as the e-mails come.
Comment 4 Dave Wysochanski 2014-03-10 15:24:42 EDT
(In reply to Michal Toman from comment #3)
> I would rather avoid teaching Retrace Server to talk to SFDC.
> IMHO it would be easier to tweak the e-mails to be better parseable, create
> a special e-mail address where SFDC (or something else) will listen and
> update the cases as the e-mails come.

Agreed.  We probably need some interface defined rather than building in specific sfdc logic into retrace which seems the wrong direction.  This needs some design thought.
Comment 5 Dave Wysochanski 2015-01-07 10:36:37 EST
I think this should depends on the 'custom hooks' bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1082376

Once we had that done, we could build a separate hook for case notification when a retrace-server job completes.  The custom hook probably would not go into retrace-server, but as of yet there's no project defined for custom hooks.  I want to keep this open for now at least for tracking purposes.
Comment 7 Dave Wysochanski 2016-02-23 12:24:24 EST
This is one of the ones which will be a very good use case to test hooks bz now that it's implemented.  I think most people in kernel would appreciate a private update when vmcore is ready for processing but I can ask before we try it.

Note You need to log in before you can comment on or make changes to this bug.